Subject: Hello, usefor-archive, check our 80% Sale

From: "Authorized Pillstore" <[email-masked]>
Date: Sun, 28 Feb 2010 17:34:07 -0800 (PST)

Having trouble reading this email?
Click here to view this email online

© 2009 Uowul. All rights reserved.

Click to unsubscribe

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o18KHFaT088267 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Feb 2010 13:17:15 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o18KHFrI088265; Mon, 8 Feb 2010 13:17:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id o18KHBkR088257 for ; Mon, 8 Feb 2010 13:17:13 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 19607 invoked by uid 503); 8 Feb 2010 20:19:39 -0000
Received: from b6.ovh.net (HELO mail423.ha.ovh.net) (213.186.33.56) by 30.mail-out.ovh.net with SMTP; 8 Feb 2010 20:19:39 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 8 Feb 2010 20:17:09 -0000
Received: from aaubervilliers-151-1-2-159.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 8 Feb 2010 20:17:08 -0000
Message-ID: <6570F741330145F6BA499DFD4A8185E7@Iulius>
From: =?UTF-8?Q?Julien_=C3=89LIE?=
To: "Usefor WG"
References: <220E6FECA0D44BC48B94BD47C438B522@Iulius>
In-Reply-To:
Subject: Re: Extending news to EAI
Date: Mon, 8 Feb 2010 21:17:10 +0100
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="UTF-8"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6002.18005
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6002.18005
X-Ovh-Tracer-Id: 8161648426006216121
X-Ovh-Remote: 83.114.1.159 (aaubervilliers-151-1-2-159.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> It is available on news.dotsrc.org, so you either need to peer with them,
> or at least subscribe to them.

I have just subscribed to news.dotsrc.org and created the dk.test.utf8-ÃƒÂ¦ÃƒÂ¸ÃƒÂ¥
(C3 A6 C3 B8 C3 A5 in hexadecimal) newsgroup on my news server.
Amusingly, it is dk.test.utf8-ÃƒÅ ÃƒÅ¾ÃƒÂ¥ on my ISO-8859-15 terminal (0xA6 and 0xB8
are ones of the few characters different between ISO-8859-1 and ISO-8859-15!).

A good news is that the pullnews program works fine with dk.test.utf8-ÃƒÂ¦ÃƒÂ¸ÃƒÂ¥
so I could easily suck existing articles for them to show up on my news server
(news.trigofacile.com).

--
Julien Ã‰LIE

Â« Le travail n'est pas une bonne chose. Si Ã§a l'Ã©tait,
les riches l'auraient accaparÃ©. Â»

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o18HC92j074976 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Feb 2010 10:12:09 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o18HC93E074975; Mon, 8 Feb 2010 10:12:09 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-3.gradwell.net (v-smtp-auth-relay-3.gradwell.net [79.135.125.42]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o18HC7l7074968 for ; Mon, 8 Feb 2010 10:12:08 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster&pop3$clerew&man*ac^uk) by v-smtp-auth-relay-3.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4b7045e6.6250.2f2 for [email-masked]; Mon, 8 Feb 2010 17:12:06 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id o18HC266020894 for ; Mon, 8 Feb 2010 17:12:02 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id o18HC1km020890 for [email-masked]; Mon, 8 Feb 2010 17:12:01 GMT
To: [email-masked]
Xref: clerew local.usefor:25241
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Extending news to EAI
Content-Type: text/plain; charset=iso-8859-1
Message-ID:
Content-Transfer-Encoding: 8bit
X-Newsreader: NN version 6.5.2 (NOV)
References: <220E6FECA0D44BC48B94BD47C438B522@Iulius>
Mime-Version: 1.0
Date: Mon, 8 Feb 2010 12:18:41 GMT
Lines: 25
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <220E6FECA0D44BC48B94BD47C438B522@Iulius> =?UTF-8?Q?Julien_=C3=89LIE?= writes:

>Hi Charles,

>> The real difficulty will be in user agents. I can read the danish group in
>> Opera, but for some reason it doesn't like yours. Ensuring there is a
>> working Path between your server and news.dotsrc.org might be worth a try.

>I do not have many feeds (only a dozen) and I do not see the Danish UTF-8 group
>on them. So I doubt a post to dk.test.utf8-Ã¦Ã¸Ã¥ (that is to say dk.test.utf8-ÃƒÂ¦ÃƒÂ¸ÃƒÂ¥)
>on my news server will go far away...

It is available on news.dotsrc.org, so you either need to peer with them,
or at least subscribe to them.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o15JWTGu041041 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 5 Feb 2010 12:32:29 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o15JWTrf041040; Fri, 5 Feb 2010 12:32:29 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 64.mail-out.ovh.net (64.mail-out.ovh.net [91.121.185.65]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id o15JWR7C041030 for ; Fri, 5 Feb 2010 12:32:28 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 16995 invoked by uid 503); 5 Feb 2010 19:35:07 -0000
Received: from b9.ovh.net (HELO mail32.ha.ovh.net) (213.186.33.59) by 64.mail-out.ovh.net with SMTP; 5 Feb 2010 19:35:07 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 5 Feb 2010 19:32:25 -0000
Received: from amontpellier-159-1-96-131.w90-57.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Feb 2010 19:32:24 -0000
Message-ID: <220E6FECA0D44BC48B94BD47C438B522@Iulius>
From: =?UTF-8?Q?Julien_=C3=89LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: Extending news to EAI
Date: Fri, 5 Feb 2010 20:32:22 +0100
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="UTF-8"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6002.18005
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6002.18005
X-Ovh-Tracer-Id: 8234831918789033401
X-Ovh-Remote: 90.57.255.131 (amontpellier-159-1-96-131.w90-57.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> The real difficulty will be in user agents. I can read the danish group in
> Opera, but for some reason it doesn't like yours. Ensuring there is a
> working Path between your server and news.dotsrc.org might be worth a try.

I do not have many feeds (only a dozen) and I do not see the Danish UTF-8 group
on them. So I doubt a post to dk.test.utf8-Ã¦Ã¸Ã¥ (that is to say dk.test.utf8-ÃƒÂ¦ÃƒÂ¸ÃƒÂ¥)
on my news server will go far away...

I don't mind creating their group, though.

It is strange that Opera can read dk.test.utf8-Ã¦Ã¸Ã¥ but not trigofacile.test.Ï…Ï„Ï†8...

I believe the French hierarchy fr.* may be willing to participate in the
experiment. Creation of newsgroups are asked in fr.usenet.forums.evolution
(see "Noms de groupes en UTF-8" where one person is in favour -- nobody answered
that he was against).

--
Julien Ã‰LIE

Â« Un petit pÃ¥s pÃ¸ur mÃ¸i, un grÃ¥nd bÃ¸nd pÃ¸ur l'humanitÃ© ! Â» (KerÃ¸zen)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o15HC8DD031481 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 5 Feb 2010 10:12:08 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o15HC88D031480; Fri, 5 Feb 2010 10:12:08 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-3.gradwell.net (v-smtp-auth-relay-3.gradwell.net [79.135.125.42]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o15HC6Zg031472 for ; Fri, 5 Feb 2010 10:12:07 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster^pop3^clerew&man^ac*uk) by v-smtp-auth-relay-3.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4b6c5165.771.25e for [email-masked]; Fri, 5 Feb 2010 17:12:05 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id o15HC1ji004053 for ; Fri, 5 Feb 2010 17:12:01 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id o15HC1NR004050 for [email-masked]; Fri, 5 Feb 2010 17:12:01 GMT
To: [email-masked]
Xref: clerew local.usefor:25239
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Extending news to EAI
Content-Type: text/plain; charset=iso-8859-1
Message-ID:
Content-Transfer-Encoding: 8bit
X-Newsreader: NN version 6.5.2 (NOV)
References:
Mime-Version: 1.0
Date: Fri, 5 Feb 2010 14:54:14 GMT
Lines: 77
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In Julien ÉLIE writes:

>Hi Charles,

>> So the experimental protocol would start off with the extensions allowed
>> by RFC5535, and then add UTF-8 in the Newsgroups header.

>I think it will also require to change the possible values for "argument"
>here:

> control = "Control:" SP *WSP control-command *WSP CRLF
> control-command = verb *( 1*WSP argument )
> verb = token
> argument = 1*( %x21-7E )

>We need to be able to use UTF-8 in "argument".

>Could it also be possible to extend dist-list to allow UTF-8 distributions?

> distribution = "Distribution:" SP dist-list CRLF
> dist-list = *WSP dist-name
> *( [FWS] "," [FWS] dist-name ) *WSP
> dist-name = ALPHA / DIGIT
> *( ALPHA / DIGIT / "+" / "-" / "_" )

Yes, there are various minor things that would need to be extended apart
from the Newgroups header (including the newsgroups line and the
checkgroups message).

>Incidentally, may it exist hostnames in UTF-8 (for the Path: header field)
>or are they always canonized in ASCII?

That is an interesting question, which would need dicussion, but does not
look like a show stopper.

>> It has already been established that the existing transport mechanisms
>> will move such articles around without problem.

>Is there any record of that? Which news servers (and versions) were tested?

It should be documented in the early archives of this list.

Here is a typical Path for an article that reached news.dotsrc.org:

Path:
news.sunsite.dk!dotsrc.org!news.szn.dk!news.bunk.cc!pnx.dk!
newsfeed101.telia.com!nf02.dk.telia.net!news.tele.dk!
feed118.news.tele.dk!not-for-mail

It is really a question of whether a server has it in its active file. If
so, then there is no reason why it should not pass straight through it.
The flooding algorithm will, as usual, find a way around any servers that
don't participate, but is will simply be a configuration affair rather
than any failure of implementation.

The real difficulty will be in user agents. I can read the danish group in
Opera, but for some reason it doesn't like yours. Ensuring there is a
working Path between your server and news.dotsrc.org might be worth a try.

>> Some early USEFOR drafts show how the Newsgroups header was to be
>> extended. In particular, it required some very strict normalization, so
>> that a si...

>The last draft seems to be -09, Section 5.5:
> http://www.eyrie.org/~eagle/usefor/drafts/draft-ietf-usefor-article-09.txt

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o13M0bMp067863 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 3 Feb 2010 15:00:37 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o13M0bsU067862; Wed, 3 Feb 2010 15:00:37 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id o13M0ZZw067856 for ; Wed, 3 Feb 2010 15:00:36 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 2983 invoked by uid 503); 3 Feb 2010 22:02:20 -0000
Received: from b6.ovh.net (HELO mail432.ha.ovh.net) (213.186.33.56) by 30.mail-out.ovh.net with SMTP; 3 Feb 2010 22:02:20 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 3 Feb 2010 22:00:33 -0000
Received: from aaubervilliers-151-1-47-4.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 3 Feb 2010 22:00:32 -0000
Message-ID:
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: Extending news to EAI
Date: Wed, 3 Feb 2010 23:00:37 +0100
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6002.18005
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6002.18005
X-Ovh-Tracer-Id: 17437937757502176697
X-Ovh-Remote: 83.114.133.4 (aaubervilliers-151-1-47-4.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> So the experimental protocol would start off with the extensions allowed
> by RFC5535, and then add UTF-8 in the Newsgroups header.

I think it will also require to change the possible values for "argument"
here:

control = "Control:" SP *WSP control-command *WSP CRLF
control-command = verb *( 1*WSP argument )
verb = token
argument = 1*( %x21-7E )

We need to be able to use UTF-8 in "argument".

Could it also be possible to extend dist-list to allow UTF-8 distributions?

distribution = "Distribution:" SP dist-list CRLF
dist-list = *WSP dist-name
*( [FWS] "," [FWS] dist-name ) *WSP
dist-name = ALPHA / DIGIT
*( ALPHA / DIGIT / "+" / "-" / "_" )

Incidentally, may it exist hostnames in UTF-8 (for the Path: header field)
or are they always canonized in ASCII?

> It has already been established that the existing transport mechanisms
> will move such articles around without problem.

Is there any record of that? Which news servers (and versions) were tested?

> Some early USEFOR drafts show how the Newsgroups header was to be
> extended. In particular, it required some very strict normalization, so
> that a simple byte-by-byte comparison of newsgroup-names would always
> work.

The last draft seems to be -09, Section 5.5:
http://www.eyrie.org/~eagle/usefor/drafts/draft-ietf-usefor-article-09.txt

--
Julien ÉLIE

« Avez-vous remarqué qu'à table les mets que l'on vous sert vous mettent
les mots à la bouche ? » (Raymond Devos)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o125CAEx009777 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 1 Feb 2010 22:12:10 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o125CAgT009776; Mon, 1 Feb 2010 22:12:10 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-2.gradwell.net (v-smtp-auth-relay-2.gradwell.net [79.135.125.41]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o125C8tW009770 for ; Mon, 1 Feb 2010 22:12:09 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3$clerew^man*ac&uk) by v-smtp-auth-relay-2.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4b67b427.51bf.21 for [email-masked]; Tue, 2 Feb 2010 05:12:07 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id o125C3WY014637 for ; Tue, 2 Feb 2010 05:12:03 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id o125C34Q014634 for [email-masked]; Tue, 2 Feb 2010 05:12:03 GMT
To: [email-masked]
Xref: clerew dk.test.utf8-Ã¦Ã¸Ã¥:468 local.usefor:25236
Path: clerew!chl
From: "Charles Lindsey"
Subject: Extending news to EAI
Content-Type: text/plain; charset=iso-8859-1
Message-ID:
Content-Transfer-Encoding: 8bit
X-Newsreader: NN version 6.5.2 (NOV)
Mime-Version: 1.0
Date: Mon, 1 Feb 2010 18:06:57 GMT
Lines: 75
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

There is now an experimental protocol for UTF-8 headers in Email (RFC5335
and its relations). This was the product of the IMA WG. There has been
recent discussion of applying this to Netnews, and the conclusion seems to
be that the IMA WG is not the place to do this, and that a private draft
would be the way to do this. However, this list would be a reasonable
place to discuss it.

Essentially, under this protocol, UTF-8 may be freely used in Email
headers, but a downgrading mechanism is needed whenever mail passes to a
server that does not advertise the UTF8SMTP capability.

This is much what the USEFOR WG wanted to do in its earlier days, but the
decision was then taken to postpone it until the base documents were
complete, and then to bring it up again as an Experimental protocol. So
maybe now is the time to embark on it.

It is much easier with Netnews than with Email, since the underlying
transport (whether NNTP or UUCP) is already 8-bit clean. I would not
expect it to become the norm on the Big-8 groups for quite some time, but
it would be very useful for National hierarchies, such as the Scandinavian
ones where the inability to have Newsgroup Names with their own special
characters in them is a right pain (apparently).

So the experimental protocol would start off with the extensions allowed
by RFC5535, and then add UTF-8 in the Newsgroups header. It would be up to
individual hierarchies to encourage deployment of the experiment within
their groups.

It has already been established that the existing transport mechanisms
will move such articles around without problem. No downgrading is
envisaged except at gateways to email (at which point the mechanisms
already agreed for EAI/IMA would apply). But existing servers would cope
fairly well without modification, at least until UTF-8 newsgroup-names
were introduced.

Clearly, anyone expecting to read such articles would need a suitable
client. Some clients will already display them (Opera, for example).
otherwise, it would be up to people to install suitable user agents if
they wanted to see these articles properly (existing agents might display
such headers in a garbled form (which might be good enough in languages
which wers based on Latin alphabets). Bodies would still expect to be
covered by a Content-Type: test/plain; charset=utf-8.

With utf-8 newsgroup-names, again people who wanted to subscribe to such
groups would need suitable clients, but existing servers would serve them
once they had been persuaded to store them in their active lists. That
would require control messages that created such groups to be accepted,
and also articles submitted to moderated groups to be forwarded, so in
practice people who wanted to subscribe to such groups would need to
connect to servers which had been upgraded to cope. But the important
point is that articles would still propagate correctly through
non-upgraded servers.

Some early USEFOR drafts show how the Newsgroups header was to be
extended. In particular, it required some very strict normalization, so
that a simple byte-by-byte comparison of newsgroup-names would always
work.

Note that an experimental group dk.test.utf8-Ã¦Ã¸Ã¥ (which should show up
in UTF-8 clients properly, althoug this message is somposed in iso-8859-1)
already exists on several servers, notably on news.dotsrc.org, and this
message is crossposted there, and if a thread develops there, then well
and good. But people on that list might do better to subscribe to the
usefor mailing list (see http://www.imc.org/ietf-usefor/index.html).

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o11NvgJt090197 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 1 Feb 2010 16:57:42 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id o11Nvgl0090196; Mon, 1 Feb 2010 16:57:42 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id o11NvdZ0090189 for ; Mon, 1 Feb 2010 16:57:41 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 2A35939E1AB; Tue, 2 Feb 2010 00:56:52 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id IXt9FccxGcht; Tue, 2 Feb 2010 00:56:51 +0100 (CET)
Received: from [172.19.2.127] (216-239-45-4.google.com [216.239.45.4]) by eikenes.alvestrand.no (Postfix) with ESMTPS id CB1F839E175; Tue, 2 Feb 2010 00:56:50 +0100 (CET)
Message-ID: <[email-masked]>
Date: Mon, 01 Feb 2010 14:43:32 +0100
From: Harald Alvestrand
User-Agent: Thunderbird 2.0.0.23 (X11/20090817)
MIME-Version: 1.0
To: =?UTF-8?B?SnVsaWVuIMOJTElF?=
CC: Usefor WG , [email-masked]
Subject: Re: UTF-8 newsgroup name feedback
References: <8DE48CBBBE4F4FD9A8281CEB8D57090F@Iulius>
In-Reply-To: <8DE48CBBBE4F4FD9A8281CEB8D57090F@Iulius>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien Ã‰LIE wrote:
>
> Hi all,
>
> For they who are interested, I have just sent a newgroup
> control article for local.test.Ï…Ï„Ï†8 so that you could
> retrieve it and eventually process it (changing "local"
> to whatever you want):
>
>
>
>
> Note for inn-workers
> --------------------
> I confirm it works fine with INN provided that we remove
> the check for [^a-z0-9+_\-] in a newsgroup name (enforced
> by controlchan). I suggest that we remove it in INN 2.5.2.
> We can reintegrate a better check with allowed UTF-8 values
> in future versions of INN.
>
>
> Note for USEFOR
> ---------------
> In case someone wants to see what the result is, you can use
> news.trigofacile.com on port 119.
> The trigofacile.test.Ï…Ï„Ï†8 newsgroup has been created in UTF-8.
> It is readable by everyone.
>
> If you want to post, authenticate with user "test" and password
> "test".
>
> The group properly shows up in LIST ACTIVE and LIST NEWSGROUPS.
>
>
> Unfortunately, Windows Mail is unable to post to it... It says
> the group does not exist and refuses to send my post.
> Well, let's crosspost then to trigofacile.test.Ï…Ï„Ï†8 and trigofacile.test.
>
> And what does Windows Mail send to the server?
>
> Newsgroups:
> =?UTF-8?Q?trigofacile.test.=CF=85=CF=84=CF=868=2Ctrigofacil?=\r\n
> \t=?UTF-8?Q?e.test?=\r\n
> Followup-To: =?UTF-8?Q?trigofacile.test.=CF=85=CF=84=CF=868?=\r\n
>
> Gosh, that's not a success at all for Windows Mail :-/
Thanks for those tests!

It seems that you have demonstrated the existence of a large body of
deployed software (including, but not limited to, Windows Mail and
unmodified INN) that will not work with UTF-8 newsgroup names.

That leads me to suggest that if we want to have UTF-8 newsgroup names,
perhaps we need to have a capability signallling mechanism and some kind
of block/downgrade mechanism (one could imagine simply not distributing
or admitting the existence of UTF-8 newsgroups to anyone who does not
signal support, or one could imagine more complex schemes.

Harald